---
id: vercel
title: Vercel
sidebar_label: Vercel
---

## Overview

Setting up a Vercel account is an optional step that can help you view your changes to the documentation in a server environment just like the actual docs. This can be helpful to include when submitting a pull request so that developers can review your changes and visually check that things look correct.

## Set up Vercel account

- Go to [vercel.com](https://vercel.com)
- Login with your GitHub account, click `Continue with GitHub`

## Link your fork of the project

- Click `New Project`
- Under `Import Git Repository` select `+ Add GitHub Account`
  You'll be redirected to GitHub to allow access to select repositories.
- Select your fork of the project: `username/Meshtastic`

## Configure project

Configure project:

- Set a name for the project
- Select a framework preset: `Docusaurus 2`
- Click `Deploy`

That's it! You should now see your project with a green or orange status dot showing that your fork of the project has been compiled. There will be a commit-specific url that you can share to view your changes. There also will be a branch-specific url that you can view. If there are any errors it will show up red and include the logs for you to figure out what has gone wrong.

:::tip
There is a limited number of branch urls that you will be able to view. If you notice that option has disappeared, you can delete unused branches on your fork and that will enable that feature again.

Branch urls are helpful in PRs because they will remain constant, and you won't need to resubmit a new url for review each new commit if changes are requested.
:::
