---
id: device
title: FAQs - Device
sidebar_label: Device
---

## Overview

### Where do I purchase the device hardware?

Each [supported device](/docs/hardware/supported/tbeam) has a "Purchase Link".

### I have my hardware. How do I install the firmware and any required drivers?

[See our guide here](/docs/getting-started/flashing-firmware).

### How do I update the firmware to the latest version?

If the device is running Meshtastic firmware, you might be able to update over-the-air like via the Android app.

### My device has gone to sleep. Are received messages lost?

The LoRa radio on the node is still active and will wake up the CPU when the device is sleeping. If your phone is in range, the node will relay any messages your phone may have missed. If you're in range and your device is active, messages have not been lost.

### My device has gone to sleep and I can't send any messages.

Once the node wakes up from sleep, your phone will relay any delayed messages through your node and to the mesh network. Give it a few minutes and it'll do the right thing.

### How do I turn off an ESP32 t-beam based device?

Hold down the left PWR button for about 10 seconds and the display should turn off.

### How do I turn on an ESP32 t-beam based device?

Push the left PWR button for about 1 second.

### How can I tell the device not to sleep?

- Android instructions see: [Android Usage](/docs/software/android/android-usage#configuration-options)
- Python CLI instructions see: [Python Usage](/docs/software/python/python-cli#changing-device-settings)
